Bug 177752 - BUG: write-lock lockup on CPU#1
BUG: write-lock lockup on CPU#1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 13:00 EST by Orion Poplawski
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 17:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-01-13 13:00:53 EST
Description of problem:

Jan 13 09:41:34 marie kernel: BUG: write-lock lockup on CPU#1, cora.sh/15036,
c03dfa00 (N
ot tainted)
Jan 13 09:41:34 marie kernel:  [<c01dde87>] __write_lock_debug+0xb4/0xdd
Jan 13 09:41:34 marie kernel:  [<c01ddeef>] _raw_write_lock+0x3f/0x7c
Jan 13 09:41:34 marie kernel:  [<c0121d58>] release_task+0x34/0x120
Jan 13 09:41:34 marie kernel:  [<c0123891>] wait_task_zombie+0x263/0x3ea
Jan 13 09:41:34 marie kernel:  [<c01bf717>] task_has_perm+0x2a/0x2e
Jan 13 09:41:34 marie kernel:  [<c0123eba>] do_wait+0x101/0x3a5
Jan 13 09:41:34 marie kernel:  [<c011c41e>] default_wake_function+0x0/0xc
Jan 13 09:41:34 marie kernel:  [<c012420c>] sys_wait4+0x35/0x39
Jan 13 09:41:34 marie kernel:  [<c0124237>] sys_waitpid+0x27/0x2b
Jan 13 09:41:34 marie kernel:  [<c0103995>] syscall_call+0x7/0xb
Jan 13 09:41:34 marie kernel: atkbd.c: Unknown key released (translated set 2,
code 0x7f
on isa0060/serio0).
Jan 13 09:41:34 marie kernel: atkbd.c: Use 'setkeycodes 7f <keycode>' to make it
known.
Jan 13 09:41:56 marie shutdown: shutting down for system halt
Jan 13 09:41:56 marie init: Switching to runlevel: 0
Jan 13 09:41:56 marie kde(pam_unix)[2972]: session closed for user lwang
Jan 13 09:41:57 marie -:0[2972]: pam_setcred(DELETE_CRED) for lwang failed:
System error
Jan 13 09:42:03 marie shutdown: shutting down for system halt

system was unresponsive to the keyboard or network, although pushing the power
button triggered a shutdown.  Although perhaps the BUG message came during that
time - seems very close to the shutdown message and I know the system was locked
up for a couple minutes before we tried to shut it down.

Version-Release number of selected component (if applicable):
2.6.14-1.1653_FC4smp

now running 2.6.14-1.1656_FC4smp.

How reproducible:
Just saw it for the first time.
Comment 1 Orion Poplawski 2006-01-27 10:48:22 EST
Another one with 2.6.14-1.1656_FC4smp:

Jan 26 15:31:30 marie kernel: BUG: write-lock lockup on CPU#1, automount/2335,
c03e0a00 (
Not tainted)
Jan 26 15:31:30 marie kernel:  [<c01ddf17>] __write_lock_debug+0xb4/0xdd
Jan 26 15:31:30 marie kernel:  [<c01ddf7f>] _raw_write_lock+0x3f/0x7c
Jan 26 15:31:30 marie kernel:  [<c011f7ae>] copy_process+0xb23/0xea2
Jan 26 15:31:30 marie kernel:  [<c011fc0d>] do_fork+0x62/0x1ea
Jan 26 15:31:30 marie kernel:  [<c0107d64>] do_syscall_trace+0x1df/0x1f1
Jan 26 15:31:30 marie kernel:  [<c0102585>] sys_clone+0x32/0x36
Jan 26 15:31:30 marie kernel:  [<c0103995>] syscall_call+0x7/0xb
Jan 26 15:32:27 marie shutdown: shutting down for system halt
Comment 2 Dave Jones 2006-02-03 02:13:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Orion Poplawski 2006-04-20 17:15:25 EDT
Haven't seen this again.

Note You need to log in before you can comment on or make changes to this bug.